import request from "../utils/request";
// 获取卡券信息
export function userCardApi(data) {
  return request({
    url: "/yishoudan/usercoupon/list",
    // method: "post",
    params: data,
  });
}
// 获取用户余额信息
export function userBalanceApi(data) {
  return request({
    url: "/yishoudan/wallet/info",
    // method: "post",
    params: data,
  });
}

// 获取用户提现详情
export function userDetailApi(data) {
  return request({
    url: "/yishoudan/wallet/withdrawal/list",
    // method: "post",
    params: data,
  });
}
// 获取我的老乡信息
export function userTownsmanApi(data) {
  return request({
    url: "/yishoudan/workorder/getLaoXiangList",
    // method: "post",
    params: data,
  });
}
// 获取我的工单信息
export function userBillApi(data) {
  return request({
    url: "/yishoudan/workorder/getList",
    // method: "post",
    params: data,
  });
}
// 获取用户信息
export function userBaseInfoApi(data) {
  return request({
    url: "/yishoudan/user/getUserInfo",
    // method: "post",
    params: data,
  });
}
// 获取用户积分信息

export function getPointApi(data) {
  return request({
    url: "/yishoudan/wallet/getPoint",
    // method: "post",
    params: data,
  });
}
// 获取用户积分使用信息

export function getPointDetailApi(data) {
  return request({
    url: "/yishoudan/pointUseRecord/list",
    // method: "post",
    params: data,
  });
}
// 登录状态账号设置修改密码

export function setUserPswApi(data) {
  return request({
    url: "/yishoudan/changePassword",
    // method: "post",
    params: data,
  });
}
// 登录状态账号修改绑定手机号

export function setUserTelApi(data) {
  return request({
    url: "/yishoudan/user/changeTel",
    // method: "post",
    params: data,
  });
}
// 账号修改绑定银行卡

export function getUserBankListApi(data) {
  return request({
    url: "/yishoudan/user/bank/getUserBankList",
    // method: "post",
    params: data,
  });
}
// 实名认证

export function setUserRealNameApi(data) {
  return request({
    url: "/yishoudan/user/realNameAuth",
    // method: "post",
    params: data,
  });
}
// 获取用户微信绑定的二维码
export function getUserWxApi(data) {
  return request({
    url: "/yishoudan/user/getMiniAppQrCodeOfBindUser",
    // method: "post",
    params: data,
  });
}
